package edu.dartmouth.cs.testfirebasedemo;

import android.content.Context;

import com.google.android.gms.tasks.OnCompleteListener;
import com.google.android.gms.tasks.Task;

/**
 * Created by Xing-Dong Yang on 2/11/2018.
 */

public class AuthOnCompleteListener implements OnCompleteListener {
    Context context;
    public AuthOnCompleteListener(Context context){
        this.context = context;
    }

    public void onComplete(Task task){
        if(task.isSuccessful())
            Util.showActivity(context, MainActivity.class);
        else
            Util.showDialog(context, "Error!", task.getException().getMessage());
    }
}
