package edu.dartmouth.cs.testfirebasedemo;

import android.app.AlertDialog;
import android.content.Context;
import android.content.Intent;

/**
 * Created by Xing-Dong Yang on 2/3/2018.
 */

public class Util {
    public static void showDialog(Context context, String title, String message){
        AlertDialog.Builder builder = new AlertDialog.Builder(context);
        builder.setMessage(message);
        builder.setTitle(title);
        builder.setPositiveButton("ok", null);
        AlertDialog dialog = builder.create();
        dialog.show();
    }

    public static void showActivity(Context context, Class c){
        Intent intent = new Intent(context, c);
        intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK | Intent.FLAG_ACTIVITY_CLEAR_TASK);
        context.startActivity(intent);
    }
}
